libetonyek::IWORKColorElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKColorElement Class Reference

`#include <IWORKColorElement.h>`

Inheritance diagram for libetonyek::IWORKColorElement:

## Public Member Functions
| IWORKColorElement (IWORKXMLParserState &state, boost::optional< IWORKColor > &color)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
boost::optional< IWORKColor > & | m_color
std::string | m_type
double | m_r
double | m_g
double | m_b
double | m_w
double | m_c
double | m_m
double | m_y
double | m_k
double | m_a

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKColorElement()

libetonyek::IWORKColorElement::IWORKColorElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKColor > & | color
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKColorElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprotected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKColorElement::element | ( | int | name | ) |
| overrideprotected

## ◆ endOfElement()

void libetonyek::IWORKColorElement::endOfElement | ( |  | ) |
| overrideprotected

## Member Data Documentation

## ◆ m_a

double libetonyek::IWORKColorElement::m_a
| private

Referenced by attribute(), and endOfElement().

## ◆ m_b

double libetonyek::IWORKColorElement::m_b
| private

Referenced by attribute(), and endOfElement().

## ◆ m_c

double libetonyek::IWORKColorElement::m_c
| private

Referenced by attribute(), and endOfElement().

## ◆ m_color

boost::optional<IWORKColor>& libetonyek::IWORKColorElement::m_color
| private

Referenced by endOfElement().

## ◆ m_g

double libetonyek::IWORKColorElement::m_g
| private

Referenced by attribute(), and endOfElement().

## ◆ m_k

double libetonyek::IWORKColorElement::m_k
| private

Referenced by attribute(), and endOfElement().

## ◆ m_m

double libetonyek::IWORKColorElement::m_m
| private

Referenced by attribute(), and endOfElement().

## ◆ m_r

double libetonyek::IWORKColorElement::m_r
| private

Referenced by attribute(), and endOfElement().

## ◆ m_type

std::string libetonyek::IWORKColorElement::m_type
| private

Referenced by attribute(), and endOfElement().

## ◆ m_w

double libetonyek::IWORKColorElement::m_w
| private

Referenced by attribute(), and endOfElement().

## ◆ m_y

double libetonyek::IWORKColorElement::m_y
| private

Referenced by attribute(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKColorElement.h
- IWORKColorElement.cpp